## gcc-14-cross 4ubuntu3

=== debian/changelog ===
gcc-14-cross (4ubuntu3) noble; urgency=medium

  * Build using gcc 14-20240412-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 08:03:48 +0200

gcc-14-cross (4ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:03:13 +0000

gcc-14-cross (4ubuntu1) noble; urgency=medium

  * Build using gcc 14-20240315-1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2024 17:18:13 +0100

gcc-14-cross (4) experimental; urgency=medium

  * Build using gcc 14-20240207-1.
  * Remove the armel packages again from packages.invalid.
  * Build -libubsan1-riscv64-cross.
  * Use the bumped upstream libgo soname.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 16:51:56 +0100

gcc-14-cross (3) unstable; urgency=medium

  * Build using gcc 14-20240127-1.
  * Add gccgo-14-arm-linux-gnueabi and libgo42-armel-cross as invalid
    packages.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 10:01:21 +0100

gcc-14-cross (2) unstable; urgency=medium

  * Build using gcc 14-20240126-1.
  * Add gnat-14-arm-linux-gnueabi and libgnat-14-armel-cross as invalid
    packages.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 19:58:27 +0100

gcc-14-cross (1ubuntu1) noble; urgency=medium

  * Build using gcc 14-20240121-1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jan 2024 17:51:37 +0100

gcc-14-cross (1) experimental; urgency=medium

  * Build using gcc 14-20240121-1.
  * Build ppc64 packages on ppc64el. Addresses: #1052251.
  * Remove the support to build ARM32 multilib packages.
  * Set GNATMAKE and GNATBIND to gnat[bind,make}-14.
  * Link gnat[bind,link,ls,make}-14 to gnat[bind,link,ls,make} for the build.
  * Bump debhelper to v11.
  * Build Enable LSan and TSan packages for riscv64.
  * Build gccrs packages.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jan 2024 10:21:35 +0100

gcc-13-cross (13ubuntu1) noble; urgency=medium

  * Build using gcc 13.2.0-7ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Nov 2023 21:24:08 +0100

gcc-13-cross (13) unstable; urgency=medium

  * Don't attempt to build s390x cross packages on s390x.
  * Really build arm64 cross compilers on s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 21:21:31 +0100

gcc-13-cross (12) unstable; urgency=medium

  * Build using gcc 13.2.0-7.
  * Build armel packages from the ports package.
  * Build release compilers also on s390x.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Nov 2023 10:06:10 +0100

gcc-13-cross (11ubuntu1) noble; urgency=medium

  * Build using gcc 13.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 13:52:31 +0100

gcc-13-cross (11) unstable; urgency=medium

  * Build using gcc 13.2.0-6.
  * Remove lib*32lsan0 packages from the control file.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 09:17:39 +0100

gcc-13-cross (10ubuntu2) mantic; urgency=medium

  * Build using gcc 13.2.0-4ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Sep 2023 10:10:28 +0200

gcc-13-cross (10ubuntu1) mantic; urgency=medium

  * Build using gcc 13.2.0-2ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Aug 2023 07:09:17 +0200

gcc-13-cross (10) unstable; urgency=medium

  * Fix powerpc build on arm64.
  * Drop build dependency on gccrs.
  * Enable more ports builds on ppc64el.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Aug 2023 06:54:56 +0200

gcc-13-cross (9ubuntu3) mantic; urgency=medium

  * Fix powerpc build on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Aug 2023 07:57:05 +0200

gcc-13-cross (9ubuntu1) mantic; urgency=medium

  * Build using gcc 13.2.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Jul 2023 10:11:23 +0200

gcc-13-cross (9) unstable; urgency=medium

  * Build using gcc 13.2.0-1.
  * Build powerpc cross packages on arm64. Addresses: #969195.
  * Enable more ports builds on arm64. Addresses: #1040929.
  * Fix lintian warnings.
  * Stop building gccrs for GCC 13, not yet ready for GCC 13.2.
  * Build riscv64 package from this source package for all host architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2023 09:55:08 +0200

gcc-13-cross (7ubuntu1) mantic; urgency=medium

  * Build using gcc 13.1.0-8ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jul 2023 14:31:12 +0200

gcc-13-cross (7) unstable; urgency=medium

  * Build using gcc 13.1.0-8.
  * Add libgfortran5, libasan8, libubsan1, libhwasan0, libquadmath packages
    to d/packages.common.
  * Add lib* packages for arc to d/packages.common.
  * Update names of multilib libgcc packages.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 14:23:38 +0200

gcc-13-cross (6) unstable; urgency=medium

  * Build using gcc 13.1.0-6.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 15:31:52 +0200

gcc-13-cross (5) unstable; urgency=medium

  * Build using gcc 13.1.0-5.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 10:52:45 +0200

gcc-13-cross (4ubuntu1) mantic; urgency=medium

  * Build using gcc 13.1.0-2ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 May 2023 07:48:11 +0200

gcc-13-cross (4) experimental; urgency=medium

  * Build using gcc 13.1.0-2.

 -- Matthias Klose <doko@debian.org>  Thu, 11 May 2023 13:34:46 +0200

gcc-13-cross (3ubuntu1) lunar; urgency=medium

  * Build using gcc 13-20230215-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Feb 2023 07:22:37 +0100

gcc-13-cross (3) experimental; urgency=medium

  * Build using gcc 13-20230127-1.
  * Build gccrs cross compilers.
  * Build the libhwasan0-amd64-cross package.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jan 2023 17:43:14 +0100

gcc-13-cross (2) experimental; urgency=medium

  * Build using gcc 13-20230114-1.
  * Update version script for 13.
  * Update packages files for 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2023 11:43:02 +0100

gcc-13-cross (1) experimental; urgency=medium

  * Build using gcc 13-20230106-1.


