## gcc-14-cross 4ubuntu3.2

=== debian/changelog ===
gcc-14-cross (4ubuntu3.2) noble-proposed; urgency=medium

  * SRU: LP: #2073390: Backport GCC 14.2 to Ubuntu 24.04 LTS.
  * Build using gcc 14.2.0-4ubuntu2.
  * Build libitm on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 13:18:14 +0200
