=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: gcc-14-source (>= 14-20240207-0~),
-  gcc-14-base (>= 14-20240207-0~),
+Build-Depends: gcc-14-source (>= 14.2.0-4~),
+  gcc-14-base (>= 14.2.0-4~),
   binutils-multiarch (>= 2.41-4),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
@@ -201,3 +201,4 @@
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
  .
  On architectures with multilib support, the package contains files
+ and dependencies for the non-default multilib architecture(s).
