=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
 
 ifeq ($(GCC_VER),14)
-  MIN_VER_GCC      := 14-20240207-0~
-  PPA_VER_GCC      := 14-20240207-0~
+  MIN_VER_GCC      := 14.2.0-4~
+  PPA_VER_GCC      := 14.2.0-4~
 endif
 
 ifndef MIN_VER_GCC
@@ -58,6 +58,7 @@
 HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x
 HOST_ARCHS_hppa = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_i386 = amd64 arm64 ppc64el s390x x32
+HOST_ARCHS_loong64 = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_m68k = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_powerpc = amd64 arm64 i386 ppc64el s390x x32
 HOST_ARCHS_ppc64 = amd64 i386 ppc64el s390x x32
@@ -77,6 +78,19 @@
 HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 stamp            := stamp-dir/
+
+# package metadata information
+ifeq (,$(ELF_PACKAGE_METADATA))
+  ELF_PACKAGE_METADATA := $(subst $(space),,{ \
+	"type":"deb", \
+	"os":"$(shell awk -F= '/^ID=/ {print $$2}' /etc/os-release)", \
+	"name":"$(DEB_NAME_ACT)", \
+	"version":"$(DEB_SVER_ACT)", \
+	"architecture":"$(HOST_ARCH)" \
+	$(if $(DEB_BUILD_DEBUG_INFO_URL),$(,)"debugInfoUrl":"$(DEB_BUILD_DEBUG_INFO_URL)") \
+    })
+  export ELF_PACKAGE_METADATA
+endif
 
 ifeq (,$(CROSS_ARCHS))
   ifeq ($(DEB_NAME_ACT),gcc-14-cross)
@@ -101,14 +115,14 @@
     GCC_PORTS_BUILD=
   else ifeq ($(DEB_NAME_ACT),gcc-14-cross-ports)
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  ?= alpha arc armel hppa m68k ppc64 sh4 sparc64 \
+      CROSS_ARCHS  ?= alpha arc armel hppa loong64 m68k ppc64 sh4 sparc64 \
 		$(if $(filter $(vendor), Ubuntu),, powerpc) \
 		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
     else ifeq ($(HOST_ARCH),arm64)
-      CROSS_ARCHS ?= alpha arc armel hppa m68k sh4 sparc64 x32 \
+      CROSS_ARCHS ?= alpha arc armel hppa loong64 m68k sh4 sparc64 x32 \
 		$(if $(filter $(vendor), Ubuntu),, powerpc)
     else ifeq ($(HOST_ARCH),ppc64el)
-      CROSS_ARCHS ?= alpha arc armel hppa m68k sh4 sparc64 x32 \
+      CROSS_ARCHS ?= alpha arc armel hppa loong64 m68k sh4 sparc64 x32 \
 		$(if $(filter $(vendor), Ubuntu),, powerpc) ppc64
     else ifeq ($(HOST_ARCH),s390x)
       CROSS_ARCHS ?= ppc64 \
@@ -189,14 +203,3 @@
 
 ifneq (,$(filter i386, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-amd64-i386-cross [$(HOST_ARCHS_i386)],
-  EXTRA_BUILD_DEPS += libc6-dev-x32-i386-cross [$(HOST_ARCHS_i386)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib64gcc-s1-i386-cross [$(HOST_ARCHS_i386)],
-    GCC_BUILD_DEPS += libx32gcc-s1-i386-cross [$(HOST_ARCHS_i386)],
-  endif
-endif
-
-ifneq (,$(filter x32, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
-  EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
-  ifeq ($(skip_common_packages),yes)
