## gcc-14-cross 4ubuntu4

=== debian/changelog ===
gcc-14-cross (4ubuntu4) oracular; urgency=medium

  * Build using gcc 14.1.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 May 2024 09:30:26 +0200
