## gcc-14-cross 6ubuntu2

=== debian/changelog ===
gcc-14-cross (6ubuntu2) oracular; urgency=medium

  * Build using gcc 14.2.0-4ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 13:04:13 +0200

gcc-14-cross (6ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build s390x multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Aug 2024 06:48:15 +0200

gcc-14-cross (6) unstable; urgency=medium

  * Build using gcc 14.2.0-1.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Aug 2024 06:41:14 +0200

gcc-14-cross (5) unstable; urgency=medium

  * Build using gcc 14.1.0-5.
  * Add support to build packages for loong64. See: #1067291.
  * Build libitm on riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2024 19:02:37 +0200

gcc-14-cross (4ubuntu6) oracular; urgency=medium

  * Build using gcc 14.1.0-5ubuntu1.
  * Add support to build packages for loong64. See: #1067291.
  * Build libitm on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jul 2024 14:00:07 +0200

gcc-14-cross (4ubuntu5) oracular; urgency=medium

  * Build using gcc 14.1.0-4ubuntu2.
  * Stop building multilib packages for s390x.
  * Set ELF package metadata.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jul 2024 15:42:06 +0200
