=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: gcc-14-source (>= 14.1.0-1~),
-  gcc-14-base (>= 14.1.0-1~),
+Build-Depends: gcc-14-source (>= 14.2.0-4~),
+  gcc-14-base (>= 14.2.0-4~),
   binutils-multiarch (>= 2.41-4),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
   gperf (>= 3.0.1), 
   binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-powerpc-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32],
-  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
+  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
   linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
   libisl-dev (>= 0.26-3~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
@@ -202,3 +202,6 @@
  .
  On architectures with multilib support, the package contains files
  and dependencies for the non-default multilib architecture(s).
+
+Package: libgomp1-amd64-cross
+Architecture: all
