## gcc-14-cross 8

=== debian/changelog ===
gcc-14-cross (8) unstable; urgency=medium

  * Build using gcc 14.2.0-12.
  * Mark more package names as invalid on loong64.
  * Update VCS attributes.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Fix build with make 4.4. Closes: #1090004.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Dec 2024 09:43:37 +0100

gcc-14-cross (7) unstable; urgency=medium

  * Build using gcc 14.2.0-6.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2024 08:43:25 +0200
