=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.6.2
-Build-Depends: gcc-14-source (>= 14.2.0-4~),
-  gcc-14-base (>= 14.2.0-4~),
+Standards-Version: 4.7.0
+Build-Depends: gcc-14-source (>= 14.2.0-12~),
+  gcc-14-base (>= 14.2.0-12~),
   binutils-multiarch (>= 2.41-4),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-powerpc-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32],
-  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
+  binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32],
+  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
   libisl-dev (>= 0.26-3~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -26,8 +26,9 @@
 Build-Conflicts: gcc-multilib,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 Homepage: http://gcc.gnu.org/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross
-Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git
+Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-14-cross
+Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-14-cross
+Rules-Requires-Root: binary-targets
 
 Package: gcc-14-cross-base
 Architecture: all
@@ -66,16 +67,6 @@
 Description: GCC support library (development files)
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
-
-Package: libgcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
 
 Package: lib32gcc-s1-amd64-cross
 Architecture: all
@@ -100,16 +91,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: lib32gcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), lib32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: libx32gcc-s1-amd64-cross
 Architecture: all
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
@@ -132,16 +113,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: libx32gcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), libx32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: gcc-14-x86-64-linux-gnu
 Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-14-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-14-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
@@ -205,3 +176,29 @@
 
 Package: libgomp1-amd64-cross
 Architecture: all
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: lib32gomp1-amd64-cross
+Architecture: all
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: ${confl:lib32}
+Description: GCC OpenMP (GOMP) support library (32bit)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: libx32gomp1-amd64-cross
+Architecture: all
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library (x32)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: libitm1-amd64-cross
+Architecture: all
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GNU Transactional Memory Library
+ GNU Transactional Memory Library (libitm) provides transaction support for
+ accesses to the memory of a process, enabling easy-to-use synchronization of
